Subject: Re: [PATCH v3 1/8] guix home: import: Make the user to specify a destination directory.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 30 Oct 2021 16:22:14 +0200

Hi,

Am Samstag, den 30.10.2021, 12:42 +0200 schrieb Xinglu Chen:
> Copy the appropriate the relevant configuration files to the
> destination directory, and call ‘local-file’ on them.
The name "destination directory" (especially in the form destination-
directory) is both overly verbose and not really explanatory at all. 
Perhaps you might want to instead use "prefix" and have some reasonable
default like ~/.config/guix/home – alternatively, since all these files
are used in the same sense as /etc/skel, you could name it "skeleton"
with an explanation along the lines of

  Existing configuration will be copied to SKELETON (default 
  $HOME/.config/guix-home/skel).  The name of this folder can be 
  specified via --skeleton=DIRECTORY.  If --no-create-skeleton is 
  passed, /etc/skel will be used instead to at least initialize a bare-
  bones bash-service.

WDYT?